Not Taken

Support for Windows 7

I'm still happily using Windows 7 on my work laptop and would very much like to access my passwords. Now I am forced to use version 3 and sync the passwords manually. Is there a way to install the Windows client for version 5 on Windows 7?


Hi Paul,

Thank you for contacting us. Unfortunately, mSecure 5.5 is not compatible with Windows 7. Currently, we don't have any specific plans for adding support for Windows 7, as Microsoft has officially ended mainstream support of that version of the OS, and the extended support will end in January of 2020 (for more information: https://support.microsoft.com/en-us/help/13853/windows-lifecycle-fact-sheet).


We are in ongoing talks about what can be done to give at least limited support for Windows 7, but at this time, there are no concrete plans for a .exe version of mSecure 5. I'm sorry I don't have better news here.

Same topic with me ! I will continue useing  win 7 prof x64 still for next years and feel it is unjustifieable from a company like yours ,to cut your support in this way! I think many customers of the former version, will think like I do! It cuts your trustwothiness in such a sensitive product and leads to change the product soon! 

Login or Signup to post a comment